"""Add Target Accession

Revision ID: 90e7860964a2
Revises: 22e2d92d602e
Create Date: 2023-08-04 11:40:37.434740

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "90e7860964a2"
down_revision = "22e2d92d602e"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "target_accessions",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("assembly", sa.String(), nullable=False),
        sa.Column("accession", sa.String(), nullable=False),
        sa.Column("creation_date", sa.Date(), nullable=False),
        sa.Column("modification_date", sa.Date(), nullable=False),
        sa.PrimaryKeyConstraint("id"),
    )
    op.add_column(
        "target_genes", sa.Column("accession_id", sa.Integer, sa.ForeignKey("target_accessions.id"), nullable=True)
    )
    op.alter_column("target_genes", "wt_sequence_id", nullable=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("target_genes", "accession_id")
    op.drop_table("target_accessions")
    op.alter_column("target_genes", "wt_sequence_id", nullable=False)
    # ### end Alembic commands ###
